#!/bin/bash
# commit files automatically and scan them with uvscan (mcafee)
# or make other stuff with the files
# Then mail the done actions to the user
# Dirk Essl <de@floydworld.de>

# Path to uvscan
UVSCAN=/usr/local/bin/uvscan

# Path to your mldonkey dir
DONKEY=/home/mldonkey

###########################################

# call the commit - expect script
$DONKEY/commit

# wait, wait ;-)
sleep 2

(
echo "To: foo <food@bar.net>"
echo "From: mldonkey <mldonkey@foobar.net>"
echo "Subject: $3 downloaded at `date` (mldonkey)"
echo
echo

# Here you can add what ever in your mail

# $3 : filename
# $2 : size
# $1 : md4

echo "mldonkey has completed the download of:"
echo "$3"
echo "ed2k://|file|$3|$2|$1|"
echo

# Do the scanning and mail the summary
$UVSCAN --analyze --summary "$DONKEY/incoming/$3" 

# print current content of incoming directory:
echo "Currently in your inconig dir:"
echo "-------------------------------"
ls -xsh $DONKEY/incoming
echo "-------------------------------"
) >&1 | /usr/lib/sendmail -t
exit 0
 
